﻿/*body { background-image: url(/images/MS-BG_Web.jpg); background-size: cover; background-attachment: fixed; }*/
@font-face { font-family: "poppins-thin"; src: url("https://use.typekit.net/af/b5a511/00000000000000007735fdc0/31/l?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n1&v=3") format("woff2"),url("https://use.typekit.net/af/b5a511/00000000000000007735fdc0/31/d?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n1&v=3") format("woff"),url("https://use.typekit.net/af/b5a511/00000000000000007735fdc0/31/a?primer=7cdcb44be4a7db8877ffa5c0007b8dd865b3bbc383831fe2ea177f62257a9191&fvd=n1&v=3") format("opentype"); font-display: auto; font-style: normal; font-weight: 100; font-stretch: normal; }
:root { --dark-gray: oklch(0.5486 0 0); --lightgray: oklch(95.8% 0 0); }
.btn { border-radius: 0; background-color: #d6ac46; border-color: #d6ac46; color: #fff; }
    .btn:hover, .btn:active, .btn:focus { color: #fff; background-color: #ab8938; border-color: #ab8938; }
#ListingDisplay.panel { border: none; }
.SearchBox { background-color: #d9d9d9; padding: 10px; padding: 10px; }
    .SearchBox > h2 { margin-top:0; margin-bottom:0; font-size: 24px; }
        .SearchBox > h2 > a { color: #000; }
            .SearchBox > h2 > a > .glyphicon-plus-sign, .SearchBox > h2 > a > .glyphicon-minus-sign { font-size: 16px; }
                .SearchBox > h2 > a > .glyphicon-plus-sign:before, .SearchBox > h2 > a > .glyphicon-minus-sign:before { content: "\e259"; }

                .SearchResultsContainer { position: relative; }
                    /*.SearchResultsContainer:before { content: " "; background-image: url(/images/MS-BG2_Web.png); background-size: auto; background-repeat: no-repeat; background-position: bottom right; position: absolute; top: 0; right: 0; bottom: 15px; left: 0; }*/
    .SearchResultsContainer:after { display: table; content: " "; clear: both; }
.SearchResults {padding-bottom:130px;}
.SearchResultsProperties { }
    .SearchResultsProperties .Property { width: 100%; }
        .SearchResultsProperties .Property > .well { border: none; background-color: transparent; box-shadow: none; position: relative; border-radius: var(--border-radius); padding: 0; box-shadow: var(--shadow); overflow: hidden; font-family: var(--ff-body); }
        .SearchResultsProperties .Property .PictureColumn { width: 100%; height: 0; padding-bottom: 75%; }
        .SearchResultsProperties .Property .DetailsBox { padding: 10px; }
            .SearchResultsProperties .Property .DetailsBox > .BasicInfo { display: flex; flex-direction: column; position: relative; } /* Need to make sure to have the backwards-compatible flex settings. */
            .SearchResultsProperties .Property .BasicInfo > .AddressColumn { order: 1; font-size: 18px; margin-bottom: 1rem; }
                .SearchResultsProperties .Property .BasicInfo > .AddressColumn .heading { font-weight: 600; line-height: 1.6; }
                .SearchResultsProperties .Property .BasicInfo > .AddressColumn a, .SearchResultsProperties .Property .BasicInfo > .AddressColumn a:hover { color: #333; text-decoration: none; }
                .SearchResultsProperties .Property .BasicInfo > .AddressColumn > .CityZip { color: var(--dark-gray); font-size: var(--fs-sm); }
            .SearchResultsProperties .Property .BasicInfo > .griddata { order: 2; margin-top: 5px; width:100%;}
                .SearchResultsProperties .Property .BasicInfo > .griddata > tbody > tr { display: flex; flex-direction:row;  }
                .SearchResultsProperties .Property .BasicInfo > .griddata > tbody > tr > td { font-size: var(--fs-sm); font-weight: 600; vertical-align: middle; width: fit-content; padding-right: 1.5rem; line-height: 1rem; }
                    .SearchResultsProperties .Property .BasicInfo > .griddata > tbody > tr > td:has(.bed-count):before { content: ''; display: inline-block; background-image: url('/images/Custom/MelissaStevenson/bed.webp'); background-repeat: no-repeat; background-size: contain; width: var(--fs-base); height: var(--fs-base); background-position: center left; margin-right: .25rem; vertical-align: middle; }
                    .SearchResultsProperties .Property .BasicInfo > .griddata > tbody > tr > td:has(.bath-count):before { content: ''; display: inline-block; background-image: url('/images/Custom/MelissaStevenson/shower.webp'); background-repeat: no-repeat; background-size: contain; width: var(--fs-base); height: var(--fs-base); background-position: center left; margin-right: .25rem; vertical-align:middle; }
                    .SearchResultsProperties .Property .BasicInfo > .griddata > tbody > tr > td:has(.sq-ft):before { content: ''; display: inline-block; background-image: url('/images/Custom/MelissaStevenson/square-feet.webp'); background-repeat: no-repeat; background-size: contain; width: var(--fs-base); height: var(--fs-base); background-position: center left; margin-right: .25rem; vertical-align: middle; }

                .SearchResultsProperties .Property .BasicInfo > .Price { display: inline-block; width: auto; position:absolute; top:-70px;  padding: .5rem; .75rem; background-color: #ffffff; border-radius: var(--border-radius); font-size: var(--fs-sm); font-weight: 600; max-width: fit-content; }
        .SearchResultsProperties .Property .DetailsBox .btnContainer { display: flex; flex-direction: row; border-top: 3px solid var(--lightgray); margin-top: .5rem; padding-top: .5rem;  align-items: center; justify-content: space-between;}
            .SearchResultsProperties .Property .DetailsBox .btnContainer:before { content: 'For Sale'; display: inline-block; padding-right: .5rem; font-size: var(--fs-sm);}
                .SearchResultsProperties .Property .DetailsBox .btnContainer:after {
                    display: inline-block; padding-left: 5rem; content:''; background-image: url(/images/Custom/MelissaStevenson/link-out.webp); background-size: contain; background-repeat: no-repeat; width: var(--fs-base); height: var(--fs-base); background-position: center right; }
            .SearchResultsProperties .Property .DetailsBox .btnContainer > .btn { color: #333; background-color: transparent; border: none; padding: 0; margin-top: 3px; opacity: 0; }
                .SearchResultsProperties .Property .DetailsBox .btnContainer > .btn:after { content: ''; position: absolute; top: 0; right: 0; bottom: 0; left: 0; }
                    .SearchResultsProperties .Property .DetailsBox .btnContainer > .btn:hover { text-decoration: underline; }

.Sorting { padding-top: 15px; text-align: right; line-height: 30px; position:relative;}
    .Sorting .form-control { padding: 5px 10px; height: auto; height: 30px; max-width:300px;display:inline;}
    .PagingOptions > .row .NextButton { text-align: right; }
    .PagingOptions > .row .PageSelection { text-align: center; }
    .PagingOptions { margin-top: 15px; margin-bottom: 15px; }
        .PagingOptions.Top { display: none; }
.SearchCollapsePane { margin-top: 15px; }

.btn-primary, .btn-contact, .btn-default { font-size: var(--fs-base); background-color: var(--dark-red); border-color: var(--dark-red); border-radius: var(--border-radius); font-family: var(--ff-body); }
    /* The next 2 lines will probably need to change to mimic the behavior on the rest of her site. */
    .btn-primary[disabled]:hover, .btn-contact[disabled]:hover, .btn-default[disabled]:hover { background-color: #000000; border-color: #000000; }
    .btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-contact:hover, .btn-contact:focus, .btn-contact:active, .btn-default:hover, .btn-default:focus, .btn-default:active { background-color: var(--dark-red); border-color: var(--dark-red); }

/*.btn-default { background-color: #b59c4c; border-color: #b59c4c; text-transform: uppercase; color: #fff; }*/
    /* The next 2 lines will probably need to change to mimic the behavior on the rest of her site. */
/*    .btn-default[disabled]:hover { background-color: #c3af6f; border-color: #c3af6f; }
    .btn-default:hover, .btn-default:focus, .btn-default:active { background-color: #a28c44; border-color: #a28c44; color: #fff; }*/

.Disclaimer { display: none; }


#MLSListing div.PhotosSection { padding: 0; border-bottom: 5px solid var(--dark-red); width: 100%; height: 0; padding-bottom: 40%; overflow: hidden; float: none; /*display: flex; flex-direction: column; align-content: center; justify-content: center;*/ }
.PhotosSection .PhotoCell { position: absolute; top: 0; right: 0; bottom: 0; left: 0; }
    .PhotosSection .PhotoCell .LeftArrow, .PhotosSection .PhotoCell .RightArrow { display: none !important; }
    .PhotosSection .PhotoCell img { position: relative; top: 50%; transform: translateY(-50%); }
#MLSListing div.PhotosSectionOuter { position: relative; }
#MLSListing div.PhotosSectionOuter:before { content: ""; position: absolute; top: 0; left: -20%; right: -20%; bottom: -30%; background-size: contain; background-repeat: no-repeat; background-position: center bottom; z-index: -1;  }

#ListingDisplay.panel { background-color: transparent; overflow-x: hidden; }
#ListingDisplay .PropertyDetails { background-color: #fff; padding: 15px; }
    #ListingDisplay .PropertyDetails .tour-btn { text-align: center; margin-bottom: 15px; }
        #ListingDisplay .PropertyDetails .tour-btn .btn { white-space: normal; }
        #ListingDisplay .AddressCell { color: #909195; text-transform: uppercase; }
    #ListingDisplay .AddressCell > .Address { font-size: 22px; text-transform: none; }
        #ListingDisplay .AddressCell > .Address a { color: #333; }
        #ListingDisplay .AddressCell > div { margin-top: 10px; }

#ListingDisplay div.PropertySummary { width: 100%; padding: 25px 0 0; }
#ListingDisplay .ListingMap { width: 100%; height: 0; padding-bottom: 75%; }
#ListingDisplay .DescriptionCell { padding-bottom: 25px; }
    #ListingDisplay .DescriptionCell h1 { margin: 0 0 25px; }
#ListingDisplay #accordion .panel-default { border: none; background-color: transparent; box-shadow: none; border-bottom: 2px solid #333; border-radius: 0; }
    #ListingDisplay #accordion .panel-default > .panel-heading + .panel-collapse > .panel-body { border-top: 2px solid #333; }
    #ListingDisplay #accordion .panel-default:last-of-type { border-bottom: none; }
    #ListingDisplay #accordion .panel-default:last-of-type > .panel-heading + .panel-collapse > .panel-body { border-top: none; }
    #ListingDisplay #accordion .panel-default > .panel-heading { background-color: transparent; }
    #ListingDisplay #accordion .panel-default > .panel-heading > .panel-title { font-size: 24px; }
    #ListingDisplay #accordion .panel-default > .panel-heading > .panel-title > a { display: block; position: relative; padding-right: 25px; }
        #ListingDisplay #accordion .panel-default > .panel-heading > .panel-title > a:after { content: "\e259"; font-size: 16px; position: absolute; right: 0; line-height: 24px; display: inline-block; font-family: 'Glyphicons Halflings'; font-style: normal; font-weight: 400; -webkit-font-smoothing: antialiased; right: 0; }
        #ListingDisplay #accordion .panel-default > .panel-heading > .panel-title > a:not(.collapsed):after { }
        #ListingDisplay #accordion .panel-default > .panel-heading > .panel-title > a > img { display: inline-block; max-height: 25px; padding-right: 20px; }
        #ListingDisplay #accordion .panel-default > .panel-heading > .panel-title > a:hover > img { text-decoration: none; }
            .RequestButtons { display: none !important; }

#ListingDisplay .PropertyFeatureDetails .headingBox > h2 { font-size: 1.3em; font-weight: bold; }
#ListingDisplay .PropertyFeatureDetails .headingBox:after { content: ""; background-color: var(--dark-red); height: 2px; display: block; width: 50%; margin-bottom: 5px; }
.FloorHeading { font-weight: bold; font-size: 1.2em; }
.FloorRoom.row {margin-left: -5px; margin-right: -5px;}
    .FloorRoom.row .RoomDescription, .FloorRoom.row .RoomDescription { padding-left: 5px; padding-right: 5px; }
    .FloorRoom .RoomDescription { display: inline-block; font-weight: bold; width: auto !important; }
.FloorRoom .RoomSize { text-align: left; width: auto; }
.dividerRow .col-xs-3 { display: none; }
.FloorDivider hr { border-top: 2px solid var(--dark-red); }
.FieldGroup .FieldTitle { font-weight: bold; }

.PropertyFeatureDetails.PropertyFeatures { clear: both; margin-top: 15px; }
#MLSListing div.PropertyFeatureDetails { min-width: unset; }
#MLSListing .PropertyFeatureDetails.PropertyFeatures { width: 100%; }
.PropertyFeatureDetails .detailBox { font-size: .85em; }
.PropertyFeatureDetails .detailBox .FeatureListTitle { font-weight: bold; }
.PropertyFeatureDetails ul { padding: 0; list-style: none; }
    .PropertyFeatureDetails ul > li { float: left; margin-right: 5px; background-color: #f2f2f2; color: #333; margin-bottom: 3px; padding: 2px 5px; }
.FeatureList { margin-bottom: 15px; }

.PriceCell-BsmtSqFt { display: none; }
.PriceCell { text-align: center; }
    .PriceCell .Price, .PriceCell .PriceCell-Beds > .Count, .PriceCell .PriceCell-SqFt > .Count, .PriceCell .PriceCell-Baths > .Count { font-size: 22px; }
        .PriceCell .Price:after, .PriceCell .PriceCell-Beds > .Label, .PriceCell-SqFt .Count:after, .PriceCell .PriceCell-Baths > .Label { color: #909195; font-size: 16px; text-transform: uppercase; }
        .PriceCell .Price:after { content: "PRICE"; display: block; }
.PriceCell .PriceCell-SqFt .Label { display: none; }
.PriceCell .PriceCell-SqFt .Count:after { content: "SQ FT"; display: block; }

    .PriceCell .PriceCell-Beds > span, .PriceCell .PriceCell-SqFt > span, .PriceCell .PriceCell-Baths > span { display: block; }
.BedBathDivider, .BathHalfDivider, .PropertyOverview:not(.HasHalfBaths) .PriceCell .Half-Baths { display: none !important; }

.contact-form { border-radius: 0; margin-top: 25px; }
.btn-contact { text-align: center; width: 100%; color: #fff; font-family: var(--ff-body); }
.form-control { border-radius: 0; }
.contact-form textarea { min-height: 70px; }
.PhotosSection .PhotoCell .image-link { position: absolute; bottom: 15px; right: 30px; background-color: rgba(0, 0, 0, .7); padding: 2px 10px; color: #fff; font-size: 18px; line-height: 18px; border-radius: 3px; font-weight: normal; font-weight: 300; }
    .PhotosSection .PhotoCell .image-link:hover, .PhotosSection .PhotoCell .image-link:focus, .PhotosSection .PhotoCell .image-link:active { color: #fff; text-decoration: none; }
    .PhotosSection .PhotoCell .image-link > .glyphicon { font-size: 14px; line-height: 18px; padding-right: 10px; top: 0; }

#PhotoModal { padding-right: 0 !important; max-width: 100%; }
#PhotoModal .modal-dialog { margin: 0 auto; width: auto; max-width: 100%; }
    #PhotoModal .modal-dialog .modal-content { border-radius: 0; border: none; background-color: #d9d9d9; max-width: 1500px; margin-left: auto; margin-right: auto; }
    #PhotoModal .modal-dialog .modal-content .modal-body { padding: 0; }
        #PhotoModal .modal-dialog .modal-content .modal-body .close { font-size: 25px; height: 30px; width: 30px; line-height: 30px; position: absolute; top: 15px; right: 15px; z-index: 9999; color: #fff; opacity: .5; display: inline-block; background-color: rgba(0, 0, 0, .8); }
        #PhotoModal .modal-dialog .modal-content .modal-body .close:hover { opacity: .9; }
            #PropertyCarousel .carousel-control { width: 30px; height: 30px; top: 50%; transform: translateY(-50%); bottom: auto; background-color: rgba(0, 0, 0, .8); }
    #PropertyCarousel .carousel-control.right { margin-right: 15px; }
    #PropertyCarousel .carousel-control.left { margin-left: 15px; }
    #PropertyCarousel .carousel-control > span.glyphicon { display: block; height: 100%; width: 100%; text-align: center; line-height: 30px; margin: 0; position: relative; top: 0; right: 0; bottom: 0; left: 0; font-size: 20px; }
#PropertyCarousel .carousel-inner { width: 100%; height: 0; padding-bottom: 60%; }
    #PropertyCarousel .carousel-inner > .item { position: absolute; top: 0; right: 0; bottom: 0; left: 0; }
        #PropertyCarousel .carousel-inner > .item > img { margin-left: auto; margin-right: auto; position: relative; top: 50%; transform: translateY(-50%); }

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) { .Sorting { max-width: 576px; margin-left: auto; margin-right: auto; }
    .SearchBox > h2 { max-width: 576px; margin-left: auto; margin-right: auto; }
    .SearchResultsProperties { max-width: 576px; margin-left: auto; margin-right: auto; }
    .PagingOptions { max-width: 576px; margin-left: auto; margin-right: auto; }
    .SearchCollapsePane { max-width: 576px; margin-left: auto; margin-right: auto; }
    #ListingDisplay .PropertyDetails .tour-btn { text-align: left; margin-bottom: 0; }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .Sorting { max-width: 768px; margin-left: auto; margin-right: auto; }
        .PagingOptions > .row, .Sorting > .row { margin-left: 0; margin-right: 0; }
    .SearchBox { background-color: #d9d9d9; padding-left: 10px; padding-right: 10px; }
    .SearchBox > h2 { max-width: 768px; margin-left: auto; margin-right: auto; }
    .SearchResultsProperties { max-width: 768px; margin-left: auto; margin-right: auto; }
        .SearchResultsProperties .Property { width: 50%; }
    .PagingOptions { max-width: 768px; margin-left: auto; margin-right: auto; }
    .SearchCollapsePane { max-width: 768px; margin-left: auto; margin-right: auto; }
    .PropertyOverview.HasHalfBaths .PriceCell .col-md-3 { width: 20%; }
    #PropertyCarousel .carousel-control, #PhotoModal .modal-dialog .modal-content .modal-body .close { height: 50px; width: 50px; line-height: 50px; }
    #PhotoModal .modal-dialog .modal-content .modal-body .close { font-size: 35px; }
    #PropertyCarousel .carousel-control > span.glyphicon { line-height: 50px; font-size: 30px; }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .Sorting { max-width: 992px; margin-left: auto; margin-right: auto; }
    .SearchBox > h2 { max-width: 992px; margin-left: auto; margin-right: auto; }
    .SearchResultsProperties { max-width: 992px; margin-left: auto; margin-right: auto; }
        .SearchResultsProperties .Property { width: 33.33333333%; }
    .PagingOptions { max-width: 992px; margin-left: auto; margin-right: auto; }
    .SearchCollapsePane { max-width: 992px; margin-left: auto; margin-right: auto; }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .Sorting { max-width: 1200px; margin-left: auto; margin-right: auto; }
    .SearchBox > h2 { max-width: 1200px; margin-left: auto; margin-right: auto; }
    .SearchResultsProperties { max-width: 1200px; margin-left: auto; margin-right: auto; }
    .PagingOptions { max-width: 1200px; margin-left: auto; margin-right: auto; }
    .SearchCollapsePane { max-width: 1200px; margin-left: auto; margin-right: auto; }
}

@media (max-width: 767px) {
    div.DescriptionCell div.text-right {text-align:center;}
    div.DescriptionCell div.addthis_inline_share_toolbox {text-align:center;}
}